--- postgresql.spec.orig	Tue Jan 29 00:02:30 2002
+++ postgresql.spec	Tue Jan 29 00:07:31 2002
@@ -14,6 +14,7 @@
 %{!?plperl:%define plperl 0}
 %{!?ssl:%define ssl 1}
 %{!?kerberos:%define kerberos 1}
+%{!?nls:%define nls 1}
 
 # Utility feature defines.
 %{!?enable_mb:%define enable_mb 1}
@@ -74,6 +75,9 @@
 %if %kerberos
 BuildPrereq: krb5-devel
 %endif
+%if %nls
+BuildPrereq: gettext >= 0.10.36
+%endif
 Url: http://www.postgresql.org/ 
 Obsoletes: postgresql-clients
 Buildroot: %{_tmppath}/%{name}-%{version}-root
@@ -371,6 +375,9 @@
 %if %kerberos
 	--with-krb5=/usr/kerberos \
 %endif
+%if %nls
+	--enable-nls \
+%endif
 	--sysconfdir=/etc/pgsql \
 	--mandir=%{_mandir} \
 	--docdir=%{_docdir} \
@@ -625,6 +632,14 @@
 popd
 
 
+%find_lang libpq
+%find_lang pg_dump
+%find_lang postgres
+%find_lang psql
+
+cat psql.lang pg_dump.lang > main.lst
+cat postgres.lang files.lst > server.lst
+
 %pre
 # Need to make backups of some executables if an upgrade
 # They will be needed to do a dump of the old version's database.
@@ -702,7 +717,7 @@
 # Note that macros such as config are available in those lists.
 # The lists differentiate between RedHat, SuSE, and others.
 
-%files
+%files -f main.lst
 %defattr(-,root,root)
 %doc doc/FAQ doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* 
 %doc COPYRIGHT README HISTORY doc/bug.template
@@ -742,14 +757,14 @@
 %dir /usr/lib/pgsql/contrib/
 /usr/lib/pgsql/contrib/*
 
-%files libs
+%files libs -f libpq.lang
 %defattr(-,root,root)
 /usr/lib/libpq.so.*
 /usr/lib/libecpg.so.*
 /usr/lib/libpq++.so.*
 /usr/lib/libpgeasy.so.*
 
-%files server -f files.lst
+%files server -f server.lst
 %defattr(-,root,root)
 /usr/bin/initdb
 /usr/bin/initlocation
